KMSG_DUMP_REGISTER(9)

NAME
kmsg_dump_register - register a kernel log dumper.

SYNOPSIS

int kmsg_dump_register(struct kmsg_dumper * dumper);

ARGUMENTS

dumper
    pointer to the kmsg_dumper structure

DESCRIPTION

Adds a kernel log dumper to the system. The dump callback in the structure will be called when the kernel oopses or panics and must be set. Returns zero on success and -EINVAL or -EBUSY otherwise.

COPYRIGHT